<template>
    <!-- <cityPicker
        :column="column"
        :visible="show"
        :default-value="defaultValue"
        @cancel="cancel"
        @confirm="confirm"
    /> -->
</template>

<script setup lang="ts">
// import cityPicker from '@/uni_modules/piaoyi-cityPicker/components/piaoyi-cityPicker/piaoyi-cityPicker'

defineProps({
    column: {
        type: Number,
        default: 3
    },
    defaultValue: {
        type: Array,
        default: () => ['广东省', '广州市', '增城区']
    },
    show: {
        type: Boolean,
        default: false
    }
})
const emit = defineEmits(['handleSelectCity', 'closeCityPicker'])
const confirm = val => {
    emit('handleSelectCity', val)
    cancel()
}
const cancel = () => {
    emit('closeCityPicker')
}
</script>
<style scoped></style>
